//
//  UIButton+KGButton.h
//  KG
//
//  Created by 北师智慧 on 2020/1/20.
//  Copyright © 2020 Heart likes static water. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, KGButtonType) {
    KGButtonTypeLeftImgAndRightTitle = 0,//左侧图片右侧文字
    KGButtonTypeLeftTitleAndRightImg,//左侧文字右侧图片
    KGButtonTypeTopImg,//上图下文
};

@interface UIButton (KGButton)

/// 点击事件的时间间隔
@property (nonatomic,assign) NSTimeInterval kg_Interval;

/// 按钮样式
@property (nonatomic,assign) KGButtonType kg_Type;

@end

NS_ASSUME_NONNULL_END
